<?php require_once IUBENDA_PLUGIN_PATH . 'views/partials/header.php'; ?>
<div class="main-box">

    <?php require_once IUBENDA_PLUGIN_PATH . 'views/partials/siteInfo.php'; ?>

    <?php require_once IUBENDA_PLUGIN_PATH . 'views/partials/breadcrumb.php'; ?>

    <form id="postbox-container-2" action="options.php" method="post">
        <?php
            settings_fields( $this->tabs['cons']['key'] );
            do_settings_sections( $this->tabs['cons']['key'] );
            add_settings_section( 'iubenda_consent_form', __( 'Field Mapping', 'iubenda' ), array( $this, 'iubenda_consent_form' ), 'iubenda_consent_solution' );

            $form_id = ! empty( $_GET['form_id'] ) ? absint( $_GET['form_id'] ) : 0;
            $form = ! empty( $form_id ) ? iubenda()->forms->get_form( $form_id ) : false;

            if ( ! $form )
            return;

            $status = isset($form->post_status) && in_array($form->post_status, array_keys(iubenda()->forms->statuses)) ? esc_attr($form->post_status) : 'publish';
            $subject = isset($form->form_subject) && is_array($form->form_subject) ? array_map('esc_attr', $form->form_subject) : array();
            $preferences = isset($form->form_preferences) && is_array($form->form_preferences) ? array_map('esc_attr', $form->form_preferences) : array();
            $exclude = isset($form->form_exclude) && is_array($form->form_exclude) ? array_map('esc_attr', $form->form_exclude) : array();
            $legal_notices = isset($form->form_legal_notices) && is_array($form->form_legal_notices) ? array_map('esc_attr', $form->form_legal_notices) : array();

            $available_fields = array();

            if (!empty($form->form_fields) && is_array($form->form_fields)) {
                foreach ($form->form_fields as $index => $form_field) {
                    if (is_array($form_field)) {
                        // print_r( $form_field );
                        $available_fields[] = $form_field['label'] . ' (' . $form_field['type'] . ')';
                    } else {
                        $available_fields[] = $form_field;
                    }
                }
            }
        echo '
        <input type="hidden" value="'.$form_id.'" name="form_id">
        <div class="px-4 px-lg-5">
            <div class="py-5">
            <div class="d-block d-lg-flex justify-content-between mb-4">
              <div class="d-block d-lg-flex align-items-center text-center text-lg-left">
                <h3 class="m-0 mb-4">'.__( 'Map fields', 'iubenda' ).'</h3>
              </div>
              <div class="d-block d-lg-flex align-items-center text-center text-lg-right">
                <div class="misc-pub-section misc-pub-post-status p-0">
                    <label for="status">' . __( 'Status', 'iubenda' ) . ':</label>
                    <div id="status-select" class="" style="margin: 3px 0 0;">
                        <select id="status" name="status">';
        foreach ( iubenda()->forms->statuses as $name => $label ) {
            echo '<option value="' . $name . '"' . selected( $form->post_status, $name, true ) . '>' . $label . '</option>';
        }
        echo '
                        </select>
                    </div>
                </div>
              </div>
            </div>
                
                <h4 class="m-0 mb-2">' . __( 'Subject fields', 'iubenda' ) . ' <span class="required">(required)</span></h4>
                <p class="mb-3 description">' . __( 'Subject fields allow you to store a series of identifying values about your individual subjects/users. Please map the subject  field with the corresponding form fields where applicable.', 'iubenda' ) . '</p>
                <table class="widefat mb-4 subject-table">
                    <thead>
                        <td class="label">' . __( 'Subject field', 'iubenda' ) . '</td>
                        <td class="label">' . __( 'Form field', 'iubenda' ) . '</td>
                    </thead>
                    <tbody>';
                    foreach ( $this->subject_fields as $field_name => $field_label ) {
                        $selected = isset( $subject[$field_name] ) ? $subject[$field_name] : '';
                        $none = $field_name == 'id' ? __( 'Autogenerated', 'iubenda' ) : __( 'None', 'iubenda' );

                        echo '
                        <tr class="subject-field options-field">
                            <td>' . $field_name . ' (' . $field_label . ')' . '</td>
                            <td>
                                <select class="subject-fields-select select-' . $field_name . '" name="subject[' . $field_name . ']">
                                    <option value="" ' . selected( $selected, '', false ) . '>' . $none . '</option>';
                                    if ( ! empty( $form->form_fields ) ) {
                                        foreach ( $form->form_fields as $index => $form_field  ) {
                                            // get field data
                                            $form_field_value = is_array( $form_field ) ? $index : $form_field;
                                            $form_field_label = is_array( $form_field ) ? $form_field['label'] . ' (' . $form_field['type'] . ')' : $form_field;
                                            $form_field_selected = is_array( $form_field ) ? $index : $form_field;

                                            echo '<option value="' . $form_field_value . '" ' . selected( $selected, $form_field_selected, false ) . '>' . $form_field_label . '</option>';
                                        }
                                    }
                                    echo '
                                </select>
                            </td>
                        </tr>';
                    }
                echo '
                    </tbody>
                </table>
                <br>
                <h4 class="m-0 mb-2">' . __( 'Preferences fields', 'iubenda' ) . '</h4>
                <p class="mb-3 description">' . __( 'Preferences fields allow you to store a record of the various opt-ins points at which the user has agreed or given consent, such as fields for agreeing to terms and conditions, newsletter, profiling, etc.', 'iubenda' ) . '</p>
                <table class="widefat mb-4 preferences-table">
                    <thead>
                    <td class="label">' . __( 'Preferences field', 'iubenda' ) . '</td>
                    <td class="label">' . __( 'Form field', 'iubenda' ) . '</td>
                    </thead>
                    <tbody>';
                    echo '
                    <tr id="preferences-field-template" class="template-field" style="display: none;">
                        <td><input type="text" class="preferences-inputs regular-text" value="" name="preferences[__PREFERENCE_ID__][field]" placeholder="' . __( 'Enter field name', 'iubenda' ) . '" disabled/></td>
                        <td>
                            <select class="preferences-inputs preferences-fields-select select-' . $field_name . '" name="preferences[__PREFERENCE_ID__][value]" disabled>';
                                if ( ! empty( $form->form_fields ) ) {
                                    foreach ( $form->form_fields as $index => $form_field  ) {
                                    // get field data
                                        $form_field_value = is_array( $form_field ) ? $index : $form_field;
                                        $form_field_label = is_array( $form_field ) ? $form_field['label'] . ' (' . $form_field['type'] . ')' : $form_field;

                                        echo '<option value="' . $form_field_value . '">' . $form_field_label . '</option>';
                                    }
                                }
                                echo '
                            </select>
                            <a href="javascript:void(0)" class="remove-preferences-field button-secondary" title="' . __( 'Remove', 'iubenda' ) . '">-</a>
                        </td>
                    </tr>';
                    if ($preferences) {
                        $index = 0;

                        foreach ($preferences as $field_name => $field_value) {
                            $selected = isset($preferences[$field_name]) ? $preferences[$field_name] : '';

                            echo '
                                <tr class="preferences-field options-field">
                                    <td><input type="text" class="regular-text" value="' . $field_name . '" name="preferences[' . $index . '][field]" placeholder="' . __('Enter field name', 'iubenda') . '" /></td>
                                    <td>
                                        <select class="preferences-fields-select select-' . $field_name . '" name="preferences[' . $index . '][value]">';
                                            if (!empty($form->form_fields)) {
                                                foreach ($form->form_fields as $index => $form_field) {
                                                    // get field data
                                                    $form_field_value = is_array($form_field) ? $index : $form_field;
                                                    $form_field_label = is_array($form_field) ? $form_field['label'] . ' (' . $form_field['type'] . ')' : $form_field;
                                                    $form_field_selected = is_array($form_field) ? $index : $form_field;

                                                    echo '<option value="' . $form_field_value . '" ' . selected($selected, $form_field_selected, false) . '>' . $form_field_label . '</option>';
                                                }
                                            }
                                            echo '
                                        </select>
                                        <a href="javascript:void(0)" class="remove-preferences-field button-secondary" title="' . __('Remove', 'iubenda') . '">-</a>
                                    </td>
                                </tr>';
                            $index++;
                        }
                    }
                    echo '
                    <tr class="submit-field"><td colspan="2"><a href="javascript:void(0)" class="add-preferences-field button-secondary">' . __( 'Add New Preference', 'iubenda' ) . '</a></td></tr>
                    </tbody>
                </table>
                <br>
                <h4 class="m-0 mb-2">' . __( 'Exclude fields', 'iubenda' ) . '</h4>
                <p class="mb-3 description">' . __( 'Exclude fields allow you to create a list of fields that you would like to exclude from your Consent Solution recorded proofs (for e.g. password or other fields not related to the consent).', 'iubenda' ) . '</p>
                
                <table class="widefat mb-4 exclude-table">
                    <thead>
                        <td class="label">' . __( 'Exclude field', 'iubenda' ) . '</td>
                        <td class="label"></td>
                        </thead>
                    <tbody>';
                echo '
                    <tr id="exclude-field-template" class="template-field" style="display: none;">
                        <td>
                            <select class="exclude-fields-select select-' . $field_name . '" name="exclude[__EXCLUDE_ID__][field]" disabled>';
                                if ( ! empty( $form->form_fields ) ) {
                                    foreach ( $form->form_fields as $index => $form_field  ) {
                                    // get field data
                                        $form_field_value = is_array( $form_field ) ? $index : $form_field;
                                        $form_field_label = is_array( $form_field ) ? $form_field['label'] . ' (' . $form_field['type'] . ')' : $form_field;

                                        echo '<option value="' . $form_field_value . '">' . $form_field_label . '</option>';
                                    }
                                }
                                echo '
                            </select>
                            <a href="javascript:void(0)" class="remove-exclude-field button-secondary" title="' . __( 'Remove', 'iubenda' ) . '">-</a>
                        </td>
                    </tr>';
                    if ( $exclude ) {
                        $index = 0;
                        foreach ( $exclude as $index => $field_name ) {
                            $selected = isset( $exclude[$index] ) ? $exclude[$index] : '';

                            echo '
                                            <tr class="exclude-field options-field">
                                                <td>
                                                    <select class="exclude-fields-select select-' . $field_name . '" name="exclude[' . $index . '][field]">';
                            if ( ! empty( $form->form_fields ) ) {
                                foreach ( $form->form_fields as $index => $form_field  ) {
                                    // get field data
                                    $form_field_value = is_array( $form_field ) ? $index : $form_field;
                                    $form_field_label = is_array( $form_field ) ? $form_field['label'] . ' (' . $form_field['type'] . ')' : $form_field;
                                    $form_field_selected = is_array( $form_field ) ? $index : $form_field;

                                    echo '<option value="' . $form_field_value . '" ' . selected( $selected, $form_field_selected, false ) . '>' . $form_field_label . '</option>';
                                }
                            }
                            echo '
                                                    </select>
                                                    <a href="javascript:void(0)" class="remove-exclude-field button-secondary" title="' . __( 'Remove', 'iubenda' ) . '">-</a>
                                                </td>
                                                <td></td>
                                            </tr>';

                            $index++;
                        }
                    }
                    echo '
                    <tr class="submit-field"><td colspan="2"><a href="javascript:void(0)" class="add-exclude-field button-secondary">' . __( 'Add New Exclude', 'iubenda' ) . '</a></td></tr>
                    </tbody>
                </table>
                
                <br>
                <h4 class="m-0 mb-2">' . __( 'Legal documents', 'iubenda' ) . '</h4>
                <p class="mb-3 description">' . __( 'In general, it\'s important that you declare which legal documents are being agreed upon when each consent is collected. However, if you use iubenda for your legal documents, it is *required*  that you identify the documents by selecting them here.', 'iubenda' ) . '</p>                
                <table class="widefat mb-4 legal_notices-table">
                    <thead>
                    <td class="label">' . __( 'Identifier', 'iubenda' ) . '</td>
                    <td class="label"></td>
                    </thead>
                    <tbody>';

                    // default identifiers
                    foreach ( $this->legal_notices as $index => $field_name ) {
                    echo '
                    <tr class="legal_notices-field default-field">
                        <td>' . ( $index === 0 ? '<p class="description">' . __( 'Please select each legal document available on your site.', 'iubenda' ) . '</p>' : '' ) . '<label for="legal_notices-default-field=' . $index . '"><input id="legal_notices-default-field=' . $index . '" type="checkbox" value="' . $field_name . '" name="legal_notices[' . $index . '][field]"' . checked( in_array( $field_name, $legal_notices, true ), true, false ) . 'placeholder="' . __( 'Enter field name', 'iubenda' ) . '" />' . $field_name . '</label></td>
                        <td></td>
                    </tr>';
                    }

                    $index++;

                    // custom identifiers
                    echo '
                    <tr id="legal_notices-field-template" class="template-field" style="display: none;">
                        <td><input type="text" value="" name="legal_notices[__LEGAL_NOTICE_ID__][field]" placeholder="' . __( 'Enter field name', 'iubenda' ) . '"  class="regular-text legal-notices-inputs" disabled /> <a href="javascript:void(0)" class="remove-legal_notices-field button-secondary" title="' . __( 'Remove', 'iubenda' ) . '">-</a></td>
                        <td></td>
                    </tr>';

                    echo '
                    <tr>
                        <td colspan="2"><p class="description" style="margin-bottom: 0;">' . __( 'Alternatively, you may add your own custom document identifiers.', 'iubenda' ) . '</p></td>
                    </tr>';

                    if ( $legal_notices ) {
                        foreach ( $legal_notices as $field_name ) {
                            if ( in_array( $field_name, $this->legal_notices, true ) )
                                continue;

                            echo '
                            <tr class="legal_notices-field options-field">
                                <td><input type="text" class="regular-text" value="' . $field_name . '" name="legal_notices[' . $index . '][field]" placeholder="' . __( 'Enter field name', 'iubenda' ) . '" /> <a href="javascript:void(0)" class="remove-legal_notices-field button-secondary" title="' . __( 'Remove', 'iubenda' ) . '">-</a></td>
                                <td></td>
                            </tr>';

                            $index++;
                        }
                    }
                    echo '
                    <tr class="submit-field"><td colspan="2"><a href="javascript:void(0)" class="add-legal_notices-field button-secondary">' . __( 'Add New Document', 'iubenda' ) . '</a></td></tr>';
                    echo '
                    </tbody>
                </table>
            </div>
        </div>';
        ?>
        <hr>
        <div class="p-4 d-flex justify-content-end">
            <input class="btn btn-gray-lighter btn-sm mr-2" type="button" value="<?php _e('Cancel', 'iubenda') ?>" onclick="window.location.href = '<?php echo esc_url(add_query_arg(array('view' => 'cons-configuration'), iubenda()->base_url)) ?>'"/>
            <button type="submit" class="btn btn-green-primary btn-sm" value="Save" name="save">
                <span class="button__text"><?php _e('Save settings', 'iubenda') ?></span>
            </button>
        </div>
    </form>
</div>

<?php require_once IUBENDA_PLUGIN_PATH . 'views/partials/footer.php'; ?>
